Name: pshtt
Version: 0.6.7
Release: 1%{?dist}
Summary: Pushing HTTPS
License: BSD
URL: https://github.com/dhs-ncats/%{name}
Source0: https://github.com/dhs-ncats/%{name}/archive/v%{version}.tar.gz
BuildArch: noarch
BuildRequires: python3-setuptools
BuildRequires: python3-devel
Requires: sslyze
Requires: python3-requests python3-requests-cache
Requires: python3-docopt
Requires: python3-wget


%description
"pshtt" is the sound you make when you feel mildly astonished. pshtt ("pushed")
is a tool to scan domains for HTTPS best practices. It saves its results to a
CSV (or JSON).

pshtt was developed to push organizations - especially large ones like the US
Federal Government - to adopt HTTPS across the enterprise. Federal .gov domains
must comply with M-15-13, a 2015 memorandum from the White House Office of
Management and Budget that requires federal agencies to enforce HTTPS on thei
web sites and services by the end of 2016. Hitting that target will be an
astonishing achievement.


%prep
%setup -q
# fix UnicodeDecodeError: 'ascii' codec can't decode …: ordinal not in range
sed -i '/=readme()/d' setup.py


%build
%py3_build


%install
[ '%{buildroot}' != '/' ] && rm -rf %{buildroot}
%py3_install


%files
%defattr(-,root,root)
%{!?_licensedir:%global license %%doc}
%license LICENSE.md
%{_bindir}/%{name}
%{python3_sitelib}/%{name}/
%{python3_sitelib}/*.egg-info/
